gov.mercury3.memberNode

## Class MercuryMemberNodeApplication

- java.lang.Object
- - org.restlet.Restlet
  - - org.restlet.Application
    - - gov.mercury3.memberNode.MercuryMemberNodeApplication

- All Implemented Interfaces:
    org.restlet.Uniform

      public class MercuryMemberNodeApplication
      extends org.restlet.Application

  Routing to annotated server resources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MercuryMemberNodeApplication()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.restlet.Restlet` | `createInboundRoot()` Creates a root Router to dispatch call to server resources.

    - ### Methods inherited from class org.restlet.Application

      `createOutboundRoot, createRoot, getConnectorService, getConverterService, getCurrent, getDecoderService, getFinderClass, getInboundRoot, getMetadataService, getOutboundRoot, getRangeService, getRole, getRoles, getRoot, getServices, getStatusService, getTaskService, getTunnelService, handle, setClientRoot, setConnectorService, setContext, setConverterService, setCurrent, setDecoderService, setFinderClass, setInboundRoot, setInboundRoot, setMetadataService, setOutboundRoot, setRangeService, setRoles, setRoot, setRoot, setStatusService, setTaskService, setTunnelService, start, stop`

    - ### Methods inherited from class org.restlet.Restlet

      `finalize, getApplication, getAuthor, getContext, getDescription, getLogger, getName, getOwner, isStarted, isStopped, setAuthor, setDescription, setName, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MercuryMemberNodeApplication

          public MercuryMemberNodeApplication()

      Constructor. instead of a main method.

  - ### Method Detail

    - #### createInboundRoot

          public org.restlet.Restlet createInboundRoot()

      Creates a root Router to dispatch call to server resources.
      Overrides:
        `createInboundRoot` in class `org.restlet.Application`

Copyright © 2016. All rights reserved.